Bug 195530 - [Apple Pay] Use PKPaymentAuthorizationController to present the Apple Pay UI remotely from the Networking service on iOS
Summary: [Apple Pay] Use PKPaymentAuthorizationController to present the Apple Pay UI ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks: 195078
  Show dependency treegraph
 
Reported: 2019-03-09 22:29 PST by Andy Estes
Modified: 2019-03-11 15:42 PDT (History)
15 users (show)

See Also:


Attachments
Patch (83.86 KB, patch)
2019-03-09 22:32 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.98 KB, patch)
2019-03-09 23:21 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.47 KB, patch)
2019-03-09 23:34 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.55 KB, patch)
2019-03-09 23:58 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.55 KB, patch)
2019-03-10 00:22 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.72 KB, patch)
2019-03-10 00:23 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (84.73 KB, patch)
2019-03-10 00:46 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (3.00 MB, application/zip)
2019-03-10 04:03 PDT, Build Bot
no flags Details
Patch (84.67 KB, patch)
2019-03-10 13:45 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.93 MB, application/zip)
2019-03-10 16:06 PDT, Build Bot
no flags Details
Patch (89.52 KB, patch)
2019-03-10 16:14 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.99 MB, application/zip)
2019-03-10 19:21 PDT, Build Bot
no flags Details
Patch (90.90 KB, patch)
2019-03-11 10:02 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (94.29 KB, patch)
2019-03-11 15:00 PDT, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2019-03-09 22:29:19 PST
[Apple Pay] Use PKPaymentAuthorizationController to present the Apple Pay UI remotely from the Networking service on iOS
Comment 1 Radar WebKit Bug Importer 2019-03-09 22:30:31 PST
<rdar://problem/48747164>
Comment 2 Andy Estes 2019-03-09 22:32:55 PST Comment hidden (obsolete)
Comment 3 Andy Estes 2019-03-09 23:21:38 PST Comment hidden (obsolete)
Comment 4 Andy Estes 2019-03-09 23:34:59 PST Comment hidden (obsolete)
Comment 5 Andy Estes 2019-03-09 23:58:40 PST Comment hidden (obsolete)
Comment 6 Andy Estes 2019-03-10 00:22:20 PST Comment hidden (obsolete)
Comment 7 Andy Estes 2019-03-10 00:23:48 PST Comment hidden (obsolete)
Comment 8 Andy Estes 2019-03-10 00:46:15 PST Comment hidden (obsolete)
Comment 9 Build Bot 2019-03-10 04:03:00 PDT Comment hidden (obsolete)
Comment 10 Build Bot 2019-03-10 04:03:02 PDT Comment hidden (obsolete)
Comment 11 Andy Estes 2019-03-10 13:45:06 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2019-03-10 16:06:36 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2019-03-10 16:06:38 PDT Comment hidden (obsolete)
Comment 14 Andy Estes 2019-03-10 16:14:54 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2019-03-10 19:21:43 PDT Comment hidden (obsolete)
Comment 16 Build Bot 2019-03-10 19:21:45 PDT Comment hidden (obsolete)
Comment 17 Andy Estes 2019-03-11 10:02:35 PDT
Created attachment 364264 [details]
Patch
Comment 18 Alex Christensen 2019-03-11 14:15:02 PDT
Comment on attachment 364264 [details]
Patch

r=me
Comment 19 Andy Estes 2019-03-11 15:00:47 PDT
Created attachment 364291 [details]
Patch
Comment 20 WebKit Commit Bot 2019-03-11 15:42:16 PDT
Comment on attachment 364291 [details]
Patch

Clearing flags on attachment: 364291

Committed r242748: <https://trac.webkit.org/changeset/242748>
Comment 21 WebKit Commit Bot 2019-03-11 15:42:18 PDT
All reviewed patches have been landed.  Closing bug.